Loading...
Searching...
No Matches
RDDepict::CoordinateTemplates Class Reference

`#include <Templates.h>`

## Public Member Functions

bool | hasTemplateOfSize (unsigned int atomCount)
const std::vector< std::shared_ptr< RDKit::ROMol > > & | getMatchingTemplates (unsigned int atomCount)
void | setRingSystemTemplates (const std::string &templatePath)
void | addRingSystemTemplates (const std::string &templatePath)
void | loadDefaultTemplates ()

## Static Public Member Functions

static CoordinateTemplates & | getRingSystemTemplates ()
| returns a reference to the singleton CoordinateTemplates
static void | assertValidTemplate (RDKit::ROMol &mol, const std::string &smiles)
| check if a template is considered valid

## Detailed Description

Definition at line 22 of file Templates.h.

## Member Function Documentation

## addRingSystemTemplates()

void RDDepict::CoordinateTemplates::addRingSystemTemplates | ( | const std::string & | templatePath | ) |

## assertValidTemplate()

static void RDDepict::CoordinateTemplates::assertValidTemplate | ( | RDKit::ROMol & | mol,
|  | const std::string & | smiles
| ) |  |

static

check if a template is considered valid

## getMatchingTemplates()

const std::vector< std::shared_ptr< RDKit::ROMol > > & RDDepict::CoordinateTemplates::getMatchingTemplates | ( | unsigned int | atomCount | ) |

inline

Definition at line 46 of file Templates.h.

## getRingSystemTemplates()

static CoordinateTemplates & RDDepict::CoordinateTemplates::getRingSystemTemplates | ( |  | ) |

inline static

returns a reference to the singleton CoordinateTemplates

Definition at line 34 of file Templates.h.

## hasTemplateOfSize()

bool RDDepict::CoordinateTemplates::hasTemplateOfSize | ( | unsigned int | atomCount | ) |

inline

Definition at line 39 of file Templates.h.

## loadDefaultTemplates()

void RDDepict::CoordinateTemplates::loadDefaultTemplates | ( |  | ) |

inline

Definition at line 68 of file Templates.h.

References TEMPLATE_SMILES.

## setRingSystemTemplates()

void RDDepict::CoordinateTemplates::setRingSystemTemplates | ( | const std::string & | templatePath | ) |

The documentation for this class was generated from the following file:

- Templates.h